DKBSignDocs

API reference

POSTRequires Bearer token

Cancel an envelope

/api/v4/envelopes/{batch_id}/cancel

409 ENVELOPE_ALREADY_TERMINAL if already completed, refused, or cancelled.

Path parameters

FieldTypeDescription
batch_id
Required
stringPath parameter batch_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
reason
stringOptional cancellation reason.
e.g. "Sent to the wrong party"

Responses

StatusMeaning
200Cancelled
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v4/envelopes/uuid_or_id/cancel' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"reason":"Sent to the wrong party"}'

Response 200

json
{
  "message": "Parapheur annulé",
  "status": "cancelled",
  "cancelled": {
    "at": "2026-03-01T12:00:00Z",
    "by": 4
  }
}